Name:           takari-pom
Version:        27
Release:        3%{?dist}
Summary:        Takari parent POM
License:        EPL-1.0
URL:            https://github.com/takari/takari-pom/
BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

Source0:        https://github.com/takari/%{name}/archive/takari-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.takari.maven.plugins:takari-lifecycle-plugin)

Obsoletes:      tesla-pom < 4-7

%description
Takari is a next generation development infrastructure framework.  This
package provides Takari POM file to by used by Apache Maven.

%prep
%setup -q -n %{name}-takari-%{version}
%mvn_alias : io.tesla:tesla

# takari expects no annotations processors on classpath by default, but we
# always have some in /usr/share/java
%pom_xpath_inject 'pom:pluginManagement/pom:plugins/pom:plugin[pom:artifactId="takari-lifecycle-plugin"]/pom:configuration' '<proc>none</proc>'

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%changelog
* Fri May 03 2019 Mat Booth <mat.booth@redhat.com> - 27-3
- Restrict to same architectures as Eclipse itself

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 11 2018 Marian Koncek <mkoncek@redhat.com> - 27-1
- Update to upstream version 27

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 22 2017 Michael Simacek <msimacek@redhat.com> - 24-1
- Update to upstream version 24

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jul 18 2016 Michael Simacek <msimacek@redhat.com> - 23-1
- Update to upstream version 23

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 16-1
- Update to upstream version 16

* Mon Jul 13 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 15-4
- Obsolete tesla-pom

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 Michael Simacek <msimacek@redhat.com> - 15-2
- Add default for annotation processors config

* Fri Feb 20 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 15-1
- Initial packaging
